Subject: Re: [PATCH] ARM: dts: omap5: Add l4 interconnect hierarchy and ti-sysc data

From: Tony Lindgren <[email-masked]>
Date: Wed, 12 Dec 2018 17:19:50 -0800

* Tony Lindgren <[email-masked]> [181212 17:12]:
> * Peter Ujfalusi <[email-masked]> [181212 02:44]:
> > On 12/12/2018 12.12, Peter Ujfalusi wrote:
> > > Reverting this patch in linux-next-20181210 will make the ethernet
> > > working again.
> > > 
> > > bootlog w/ revert: https://pastebin.com/dpRk1xWv
> > > bootlog w/o revert: https://pastebin.com/PWrBttxd
> > 
> > on omap5-uevm.
> 
> Thanks for testing. Looks like it works for me with
> loadable modules. And looks like changing just the phy to
> use CONFIG_NOP_USB_XCEIV=y in my .config is not enough to
> make it fail, I see it fail too with EHCI built-in.
> 
> It's probably some -EPROBE_DEFER type issues, but I need
> to debug more.

Yes there's an issue where nop_reset() for phy-generic is
not called by ehci-omap. I'll post a fix for that separately.

I also noticed that sata phy reg entries need fixing up
for omap5, will also post a patch for that.

Regards,

Tony

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel